Name:       ibus-handwrite
Version:    3.0.0
Release:    5%{?dist}
Summary:    IBus handwrite project
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus-handwrite/
Source0:    https://github.com/microcai/ibus-handwrite/releases/download/3.0/%{name}-%{version}.tar.bz2
#Patch0:     ibus-handwrite-2.0.1-fixes-ibus-component-xml.patch
#Patch1:     ibus-handwrite-add-tooltip.patch
#Patch2:     fixes-escape-input.patch

BuildRequires:  autoconf
BuildRequires:  gettext ibus-devel gtk3-devel
BuildRequires:  zinnia-devel

Requires:   ibus

%description
IBus handwrite project.

%package        ja
Summary:        Japanese handwrite input method
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       zinnia-tomoe-ja

%description    ja
The %{name}-ja package provide Japanese handwrite input method.

%package        zh_CN
Summary:        Simplified Chinese handwrite input method
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       zinnia-tomoe-zh_CN

%description    zh_CN
The %{name}-zh_CN package provide Simplified Chinese handwrite input method.

%prep
%setup -q
#%patch0 -p1 -b .component
#%patch1 -p1 -b .tooltip
#%patch2 -p1 -b .esc

%build
#./autogen.sh
autoconf
%configure --disable-static --enable-zinnia --with-zinnia-tomoe=%{_datadir}/zinnia/model/tomoe/
# make -C po update-gmo
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install

# Register as AppStream components to be visible in the software center
#
# NOTE: It would be *awesome* if these files were maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/handwrite-jp.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="inputmethod">
  <id>handwrite-jp.xml</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>Japanese Handwriting</name>
  <summary>Japanese handwriting input method</summary>
  <description>
    <p>
      The handwriting input method is designed for entering Japanese text.
    </p>
    <p>
      Input methods are typing systems allowing users to input complex languages.
      They are necessary because these contain too many characters to simply be laid
      out on a traditional keyboard.
    </p>
  </description>
  <url type="homepage">http://code.google.com/p/ibus-handwrite/</url>
  <url type="bugtracker">https://code.google.com/p/ibus/issues/list</url>
  <url type="help">https://code.google.com/p/ibus/wiki/FAQ</url>
  <update_contact><!-- upstream-contact_at_email.com --></update_contact>
</component>
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/handwrite-zh.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="inputmethod">
  <id>handwrite-zh.xml</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>Simplified Chinese Handwriting</name>
  <summary>Simplified Chinese handwriting input method</summary>
  <description>
    <p>
      The handwriting input method is designed for entering Simplified Chinese text.
    </p>
    <p>
      Input methods are typing systems allowing users to input complex languages.
      They are necessary because these contain too many characters to simply be laid
      out on a traditional keyboard.
    </p>
  </description>
  <url type="homepage">http://code.google.com/p/ibus-handwrite/</url>
  <url type="bugtracker">https://code.google.com/p/ibus/issues/list</url>
  <url type="help">https://code.google.com/p/ibus/wiki/FAQ</url>
  <update_contact><!-- upstream-contact_at_email.com --></update_contact>
</component>
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-handwrite
%{_libexecdir}/ibus-engine-handwrite

%files ja
%{_datadir}/appdata/handwrite-jp.appdata.xml
%{_datadir}/ibus/component/handwrite-jp.xml

%files zh_CN
%{_datadir}/appdata/handwrite-zh.appdata.xml
%{_datadir}/ibus/component/handwrite-zh.xml

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 25 2015 Richard Hughes <rhughes@redhat.com> - 3.0.0-2
- Register as AppStream components.

* Thu Aug 21 2014 Peng Wu <pwu@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 29 2014 Peng Wu <pwu@redhat.com> - 2.1.4-12
- Split ibus-handwrite for gnome software

* Tue Jun 17 2014 Peng Wu <pwu@redhat.com> - 2.1.4-11
- Fixes keyboard shortcut

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 25 2013 Peng Wu <pwu@redhat.com> - 2.1.4-8
- Fixes aarch64 build

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 23 2012  Peng Wu <pwu@redhat.com> - 2.1.4-6
- Rebuilt for pango-1.31

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 06 2012  Peng Wu <pwu@redhat.com> - 2.1.4-4
- Rebuilt for ibus-1.4.99

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.1.4-2
- Rebuild for new libpng

* Mon Aug 01 2011  Peng Wu <pwu@redhat.com> - 2.1.4-1
- Update to 2.1.4

* Wed Mar 23 2011  Peng Wu <pwu@redhat.com> - 2.1.3-1
- Update to version 2.1.3
  Remove patch ibus-handwrite-add-tooltip.patch

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 26 2010  Peng Wu <pwu@redhat.com> - 2.1.1-1
- Update to version 2.1.1
  also add ibus-handwrite-add-tooltip.patch.

* Tue Jun 01 2010  Peng Wu <pwu@redhat.com> - 2.1.0-2
- clean up spec according to review comments.

* Thu May 20 2010  Peng Wu <pwu@redhat.com> - 2.1.0-1
- Update to version 2.1.0.

* Tue Apr 27 2010  Peng Wu <pwu@redhat.com> - 2.0.1-1 
- Update to version 2.0.1. 
  also support Japanese Handwriting Recognition.

* Fri Mar 12 2010  Peng Wu <pwu@redhat.com> - 1.2.0.20100205-2
- Use textual format of model data instead of binary format file.

* Fri Mar 05 2010  Peng Wu <pwu@redhat.com> - 1.2.0.20100205-1
- The first version.
